Public Class ClassInv
    Private m_onhand As Integer
    Private m_onorder As Integer
    Public Event NeedToOrder(ByVal m_onorder As Integer, ByVal a_Msg As String)
    Public Event NothingOnOrder(ByVal m_onorder As Integer, ByVal a_Msg As String)

    Public Sub New(ByVal s_onhand As Integer, ByVal s_onorder As Integer)
        OnHand = s_onhand  'invokes OnHand Set accessor
        OnOrder = s_onorder 'invokes OnOrder Set accessor
    End Sub
    Public Property OnHand() As Integer
        Get
            Return m_onhand
        End Get
        Set(ByVal Value As Integer)
            m_onhand = Value
        End Set
    End Property
    Public Property OnOrder() As Integer
        Get
            Return m_onorder
        End Get
        Set(ByVal Value As Integer)
            m_onorder = Value
        End Set
    End Property
    Sub ReceiveInv(ByVal s_receive As Integer)
        Dim a_Msg As String
        m_onhand = m_onhand + s_receive
        m_onorder = m_onorder - s_receive
        If m_onhand < 50 And m_onorder < 50 Then
            a_Msg = "Need to order"
            RaiseEvent NeedToOrder(m_onorder, a_Msg)
        End If
        If m_onorder = 0 Or m_onorder < 0 Then
            a_Msg = "Nothing on order"
            RaiseEvent NothingOnOrder(m_onorder, a_Msg)
        End If
    End Sub
End Class













